Bug 1410145 - build: avoid creation of temporary file in %pretrans scriptlets
Summary: build: avoid creation of temporary file in %pretrans scriptlets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 4
Assignee: Milind Changire
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1676380
TreeView+ depends on / blocked
 
Reported: 2017-01-04 15:13 UTC by Milind Changire
Modified: 2019-03-27 03:43 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 03:43:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milind Changire 2017-01-04 15:13:59 UTC
Description of problem:
Reference: https://bugzilla.redhat.com/show_bug.cgi?id=1362044

Instead of writing the bash script to a temporary file and then executing it, the script can directly be executed via "bash -c" command-line directly from the lua environment.

Comment 6 Amar Tumballi 2018-11-20 05:32:33 UTC
Looks like this is already fixed as part of rebase. Can we close the bug? or is there anything else to change in RHGS specific spec files?

Comment 7 Milind Changire 2018-11-20 08:25:04 UTC
Changes are required in downstream SPEC file since %pretrans scriptlets are specific to downstream

Comment 16 errata-xmlrpc 2019-03-27 03:43:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0658


Note You need to log in before you can comment on or make changes to this bug.